Freeciv-3.3: cityresult Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
cityresult Struct Reference

## Data Fields

struct tile * | tile
adv_want | total
adv_want | result
int | corruption
int | waste
bool | overseas
bool | virt_boat
struct { |
struct tile_data_cache * tdc |
} | city_center |
struct { |
struct tile * tile |
int cindex |
struct tile_data_cache * tdc |
} | best_other |
adv_want | remaining
struct tile_data_cache_hash * | tdc_hash
int | city_radius_sq

## Detailed Description

Definition at line 156 of file daisettler.c.

## Field Documentation

## ◆ [struct]

struct { ... } cityresult::best_other

Referenced by cityresult_fill(), food_starvation(), print_cityresult(), and shield_starvation().

## ◆ cindex

int cityresult::cindex

Definition at line 172 of file daisettler.c.

Referenced by cityresult_fill(), and print_cityresult().

## ◆ [struct]

struct { ... } cityresult::city_center

Referenced by cityresult_fill(), food_starvation(), print_cityresult(), and shield_starvation().

## ◆ city_radius_sq

int cityresult::city_radius_sq

Definition at line 182 of file daisettler.c.

Referenced by cityresult_fill(), and print_cityresult().

## ◆ corruption

int cityresult::corruption

Definition at line 160 of file daisettler.c.

Referenced by cityresult_fill(), and print_cityresult().

## ◆ overseas

bool cityresult::overseas

Definition at line 161 of file daisettler.c.

Referenced by contemplate_new_city().

## ◆ remaining

adv_want cityresult::remaining

Definition at line 177 of file daisettler.c.

Referenced by city_desirability(), cityresult_fill(), and print_cityresult().

## ◆ result

adv_want cityresult::result

Definition at line 159 of file daisettler.c.

Referenced by cityresult_destroy(), cityresult_fill(), cityresult_new(), contemplate_new_city(), dai_auto_settler_run(), print_cityresult(), and settler_map_iterate().

## ◆ tdc

struct tile_data_cache* cityresult::tdc

Definition at line 166 of file daisettler.c.

Referenced by cityresult_fill(), food_starvation(), print_cityresult(), and shield_starvation().

## ◆ tdc_hash

struct tile_data_cache_hash* cityresult::tdc_hash

Definition at line 180 of file daisettler.c.

Referenced by cityresult_fill(), and print_cityresult().

## ◆ tile

struct tile* cityresult::tile

Definition at line 157 of file daisettler.c.

Referenced by cityresult_fill(), contemplate_new_city(), naval_bonus(), print_cityresult(), and result_defense_bonus().

## ◆ total

adv_want cityresult::total

Definition at line 158 of file daisettler.c.

Referenced by city_desirability(), cityresult_fill(), naval_bonus(), print_cityresult(), result_defense_bonus(), and settler_map_iterate().

## ◆ virt_boat

bool cityresult::virt_boat

Definition at line 162 of file daisettler.c.

Referenced by contemplate_new_city().

## ◆ waste

int cityresult::waste

Definition at line 160 of file daisettler.c.

Referenced by cityresult_fill(), and print_cityresult().